Package com.independentsoft.office.word.footnoteEndnote

# Class DocumentEndnotes

java.lang.Object
com.independentsoft.office.word.footnoteEndnote.DocumentEndnotes

public class DocumentEndnotes extends Object
The Class DocumentEndnotes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentEndnotes()`
  Instantiates a new document endnotes.
  `DocumentEndnotes​(byte[] buffer)`
  Instantiates a new document endnotes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocumentEndnotes`
  `clone()`
  `List<Endnote>`
  `getEndnotes()`
  Gets the endnotes.
  `String`
  `getMarkupCompatibilityIgnorable()`
  Gets the mc:Ignorable attribute value of the endnotes root, or `null` if absent.
  `void`
  `setMarkupCompatibilityIgnorable​(String markupCompatibilityIgnorable)`
  Sets the mc:Ignorable attribute value of the endnotes root.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DocumentEndnotes

    public DocumentEndnotes()
    Instantiates a new document endnotes.

  - ### DocumentEndnotes

    public DocumentEndnotes​(byte[] buffer) throws XMLStreamException
    Instantiates a new document endnotes.
    Parameters:
      `buffer` - the buffer
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public DocumentEndnotes clone()
    Overrides:
      `clone` in class `Object`

  - ### getMarkupCompatibilityIgnorable

    public String getMarkupCompatibilityIgnorable()
    Gets the mc:Ignorable attribute value of the endnotes root, or `null` if absent.
    Returns:
      the markup-compatibility ignorable prefixes

  - ### setMarkupCompatibilityIgnorable

    public void setMarkupCompatibilityIgnorable​(String markupCompatibilityIgnorable)
    Sets the mc:Ignorable attribute value of the endnotes root.
    Parameters:
      `markupCompatibilityIgnorable` - the new value

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getEndnotes

    public List<Endnote> getEndnotes()
    Gets the endnotes.
    Returns:
      the endnotes